export interface EjectConfig {
    screens: string;
    components: string;
    project?: "expo" | "next" | "all";
}
export declare class EjectScript {
    config: EjectConfig;
    constructor(config: EjectConfig);
    copyProject(projectName: string): Promise<void>;
    copyPackageJSON(projectName: string, packageJSONPath: string): Promise<void>;
    copyComponents(projectName: string): Promise<void>;
    copyScreens(projectName: string): Promise<void>;
    updateTsConfig(projectName: string): Promise<void>;
    updateTailwindConfig(projectName: string): Promise<void>;
    eject(projectName: string): Promise<void>;
    run(): Promise<void>;
}
